<!DOCTYPE html>
<html>

<head>
    <title>Carter Thayer | cartert.dev</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <meta name="HandheldFriendly" content="True">
    <meta name="description" content="Carter Thayer, Portfolio, About, Contact.">
    <meta name="keywords" content="Carter Thayer">
    <meta name="author" content="Carter Thayer">
    <!-- bootstrap 4.0.0-beta.2 -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css"
        integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN"
        crossorigin="anonymous">
    <!-- main style -->
    <link rel="stylesheet" type="text/css" href="css/main.css?v=2018.09.20">
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="img/favicon.ico" type="image/x-icon">
    <!-- Global Site Tag (gtag.js) - Google Analytics -->
    <meta name="google-site-verification" content="FKF-WeVLdTjUh7eGLjI0rbuucNgfo4hyh0cFbHpll50"/>
</head>
        <!-- select style button -->
        <div class="btn-group" id="changestyle">
            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
                aria-expanded="false">
                <span id="selstyle">Style Space</span>
            </button>
            <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#" data-val="default">Style Web</a></li>
                <li><a class="dropdown-item" href="#" data-val="space">Style Space</a></li>
                <li><a class="dropdown-item" href="#" data-val="snow">Style Snow</a></li>
                <li><a class="dropdown-item" href="https://cartert.dev/startpage/index.html">Start Page</a></li>
            </ul>
        </div>
        <section class='intro'>
            <div id='particles-js'></div>
            <div class='wrap'>
                <div class='content'>
                    <div class="profile-card">
                        <header>
                            <!-- avatar -->
                            <a><img src="img/image15.jpg" class="unselectable"></a>
                            <!-- name -->
                            <h1 class="unselectable">Carter Thayer</h1>
                            <!-- role -->
                            <h2 class="unselectable">Cybersecurity Student</h2>
                        </header>
                        <div class="profile-bio">
                            <p class="unselectable">
                                GNU/Linux Enthusiast ‣ Go ‣
                            <br>Python ‣ Bash ‣ InfoSec ‣ 🎧
                            </p>
                        </div>
                        <!-- social links -->
                        <ul class="profile-social-links">
                            <li><a target="_blank" href="https://ca.linkedin.com/in/carter-thayer-crt22">
                                    <i class="fa fa-lg fa-linkedin"></i>
                                </a>
                            </li>
                            <li><a target="_blank" href="https://github.com/nolimitcarter">
                                    <i class="fa fa-lg fa-github-alt"></i>
                                </a>
                            </li>
                            <li><a target="_blank" href="https://www.twitch.com">
                                    <i class="fa fa-lg fa-twitch"></i>
                                </a>
                            </li>
                            <li><a target="_blank" href="http://www.reddit.com">
                                    <i class="fa fa-lg fa-reddit"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </section>
        <div class="parallax-window" data-parallax="scroll" data-image-src="img/image10.jpg"></div>
        <section>
            <div class="about-me">
                <div class="text-center">
                    <img class="unselectable" src="img/about-me.png" height="100" width="550">
                    <br><br>
                </div>
                <div class="clearfix"></div>
                <div class="about-me__content" id="terminal-start">
                    <p>Last login: Sun Apr 16 19:12:38 2023 from
                        nolimitcarter@blackarch</p>
                    <pre style="border: none;">
          __|__  __|
         (      |     Arch Linux
        \___|  _|

Arch Linux version 2023.10 is available.
</pre>
                    <br>
                    <div class="command">
                        <!-- whoami -->
                        <p>echo $whoami</p>
                        <span class="hideme">Carter has been developing his technical skills over the past years by attending Skilstak Coding 
                          Arts and now <br>Western Governors University. He is a 22 year old cybersecurity student with interests in open 
                          source software,<br> privacy, vulnerability research, and reverse engineering.
                          His favorite tools are Bash, Python, and Go.<br> He is an avid Linux user 
                          and an advocate for free and open source software. Carter is seeking opportunities to <br>supplement his 
                          learning with real world experience while hoping to eventually work in the security field professionally.<br>
                          </span>
                        <!-- education -->
                        <p>echo $education</p>
                        <span class="hideme">Western Governors University | January 2020 - present<br>
                          BS: IT. Cybersecurity and Information Assurance<br>
                          SkilStak Coding Arts | February 2019 - April 2021<br>
                          Private Mentored Community</span>
                        <!-- projects -->
                        <p>echo $projects</p>
                        <span class="hideme">cartert.dev - My personal website made with Netlify, Namecheap, HTML, CSS, JS, and PHP.<br>
                          carters.sh - My personal website for blog related content. This site is mostly security oriented.<br> 
                          alan - An AI personal assistant written in Python. Made using an older iHome digital clock.<br> 
                          fetchMe - A command-line system information tool written in Bash.<br>
                          hideMe - A Python program that hides and retrieves text from .png extension pictures.<br>
                          pyShortener - A URL shortener written in Python/some HTML that has a few useful features.<br>
                          bitcoinTicker - 8x32 dotmatrix connected to a RPI running a Python script to pull and display current bitcoin info.<br>
                          rwx.gg (Contributions) - An open knowledge project and progressive web app that aims to build other's tech skills.<br>
                          Freelance Projects (Uploaded to GitHub) - Stack includes HTML, CSS, JS, PHP, Bash, Netlify, and Namecheap.<br></span>

                        <!-- contact -->
                        <p>echo $contact</p>
                        <span class="hideme">email: carterthayer@protonmail.com<br>
                          <!--local: Charlotte, NC.</span>-->

                    </div>
                </div>
            </div>
        </section>
        <div class="parallax-window-half" data-parallax="scroll" data-image-src="img/image1.jpg"></div>
        <section>
            <div class="about-me">
                <div class="text-center">
                    <br><br>
                </div>
                <div class="clearfix"></div>
                <div class="about-me__content" id="terminal-start">
                    <p>Last login: Sun Apr 16 19:12:38 2023 from
                        nolimitcarter@blackarch</p>
                    <pre style="border: none;">
          __|__  __|
         (      |     Arch Linux
        \___|  _|

Arch Linux version 2023.10 is available.
</pre>
                    <br>
                    <div class="command">
                        <!-- skills -->
                        <p>echo $skills</p>
                        <span class="hideme">Programming Languages: Python, Bash, GoLang, JS, and PHP<br>
                          Web Frontend: HTML, CSS, Bootstrap, Grid, Jquery<br>
                          Web Backend: Flask, Django<br>
                          Databases: MySql<br>
                          Other Tools: Git, GitHub, Vim, vmware, Unix shells(Bash/zsh)</span>
                        <!-- certs -->
                        <p>echo $certifications</p>
                        <span class="hideme">Comptia A+ Certification<br>
                            Comptia Network+<br>
                            Comptia Project+<br>
                            ITIL Foundations v3 Certification <br>
                            Microsoft MTA 98-361 Software Development Fundamentals Certification<br>
                            Freecodecamp.org Responsive Web Design Certification</span>
                        <!-- work history -->
                        <p>echo $work_history</p>
                        <span class="hideme">Freelance Web Developer | June 2019 - Present<br>
                          Lockdown Detailing | Detailer | September 2019 - January 2020<br>
                          Champion Car Company | Detailer, IT/Marketing | April 2019 - September 2019</span>
                        <!-- afills. -->
                        <p>echo $affiliations</p>
                        <span class="hideme">North Charlotte Linux Users Group<br>
                          Charlotte Cybersecurity Group<br>
                          WGU Cybersecurity Club<br>
                          WGU National Collegiate Cyber Defense Competition</span>
                         <!-- eligible_to_work -->
                        <p>echo $eligible_to_work</p>
                        <span class="hideme">United States Citizen<br>
                        Native English</span>

                    </div>
                </div>
            </div>
        </section>
        <div class="parallax-window" data-parallax="scroll" data-image-src="img/image2.jpg"></div>
        <!-- =================== script =================== -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>
        <script src="lib/parallax.js-1.4.2/parallax.min.js"></script>
        <!-- Latest compiled and minified JavaScript -->

        <!-- particles js -->
        <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>

        <!-- bootstrap 4.0.0-beta.2 -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
            crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ"
            crossorigin="anonymous"></script>

        <!-- main js file -->
        <script src="js/main.js"></script>

        <script>
            $(document).ready(function () {

                // random style on page load
                let display_text = ''
                switch (Math.round(Math.random() * 2 + 1)) {
                    case 1:
                        styleDefault();
                        display_text = 'Style Web'
                        break;
                    case 2:
                        styleSpace();
                        display_text = 'Style Space'
                        break;
                    case 3:
                        styleSnow();
                        display_text = 'Style Snow'
                        break;
                    default:
                        styleSpace();
                        display_text = 'Style Web'
                }
                $('#selstyle').text(display_text);

                $('#changestyle .dropdown-menu a').click(function () {
                    var style = $(this).data('val');
                    switch (style) {
                        case 'default':
                            styleDefault();
                            break;
                        case 'space':
                            styleSpace();
                            break;
                        case 'snow':
                            styleSnow();
                            break;
                        default:
                            styleSpace();
                    }
                    $('#selstyle').text($(this).text());
                });

                /*-------------------------------
                    terminal linux style
                -------------------------------*/
                var about_me_content_displayed = false;
                var $lines = $('.command p');
                $lines.hide();

                var lineContents = [];
                var output = [];

                var terminal = function () {
                    var skip = 0;
                    typeLine = function (idx) {
                        idx == null && (idx = 0);
                        var element = $lines.eq(idx);
                        var content = lineContents[idx];
                        if (typeof content == "undefined") {
                            $('.skip').hide();
                            return;
                        }
                        var charIdx = 0;
                        var typeChar = function () {
                            var rand = Math.round(Math.random() * 150) + 20;

                            setTimeout(function () {
                                var char = content[charIdx++];
                                element.append(char);
                                if (typeof char !== "undefined")
                                    typeChar();
                                else {
                                    element.append('<br/><span class="output">' + output[idx] + '</span>');
                                    element.removeClass('active');
                                    typeLine(++idx);
                                }
                            }, skip ? 0 : rand);
                        }
                        element.append('[nolimitcarter@ip-127-0-0-1 ~]$ ').addClass('active');
                        typeChar();
                    }

                    $lines.each(function (i) {
                        lineContents[i] = $(this).text();
                        output[i] = $(this).next('span').html();
                        $(this).text('').show();
                    });
                    typeLine();
                }

                $(window).scroll(function () {
                    var hT = $('#terminal-start').offset().top,
                        hH = $('#terminal-start').outerHeight(),
                        wH = $(window).height(),
                        wS = $(this).scrollTop() - 250;
                    if (wS > (hT + hH - wH) && !about_me_content_displayed) {
                        about_me_content_displayed = true;
                        terminal();
                    }
                });// end terminal style -------

                $('section').each(function () {
                    $('.slider-navigation').prepend('<div class="tick"></div>');
                });

                $('.tick').on('click', function () {
                    var tickIndex = $(this).index();
                    $('body').scrollTop($(window).height() * tickIndex);
                });

                updatePos();
            }); // end document ready -------

            var isDragging = false;
            var sliderTop, pointerPos, currentSection;

            var bodyHeight = $('body').height();
            var sliderHeight = $('.slider-navigation').height();
            var elementHeight = $('section').height();
            var sectionAmount = $('section').length;
            var scale = (bodyHeight - (elementHeight)) / (sliderHeight - $('.nav-pointer').outerHeight());

            var waitForFinalEvent = (function () {
                var timers = {};
                return function (callback, ms, uniqueId) {
                    if (!uniqueId) {
                        uniqueId = "resize";
                    }
                    if (timers[uniqueId]) {
                        clearTimeout(timers[uniqueId]);
                    }
                    timers[uniqueId] = setTimeout(callback, ms);
                };
            })();

            function updatePos() {
                currentSection = $(window).scrollTop() / elementHeight;
                currentSectionNum = Math.ceil(currentSection + 0.01);
                sliderTop = $(window).scrollTop() / scale;
                $('.nav-pointer').css('top', sliderTop).text(currentSectionNum + '/' + sectionAmount);
            }

            function sliderMove(e) {
                $('body').scrollTop(parseInt(e) * scale);
            }

            $(window).scroll(function () {
                if (!isDragging) {
                    updatePos();
                }
            });

            $(window).resize(function () {
                waitForFinalEvent(function () {
                    bodyHeight = $('body').height();
                    sliderHeight = $('.slider-navigation').height();
                    elementHeight = $('section').height();
                    sectionAmount = $('section').length;
                    scale = (bodyHeight - (elementHeight)) / (sliderHeight - $('.nav-pointer').outerHeight());

                    updatePos();
                }, 500, "resizing");
            });

            // $(".draggable").draggable({
            //  axis: "y",
            //  containment: "parent",
            //  start: function() {
            //      isDragging = true;
            //      $('body').addClass('dragging');
            //  },
            //  drag: function() {
            //      pointerPos = $(this).css('top');
            //      sliderMove(pointerPos);
            //      updatePos();
            //  },
            //  stop: function() {
            //      isDragging = false;
            //      $('body').removeClass('dragging');
            //  }
            // });

            // Steve Jobs Quotes
            console.log("\n\n Theory and practice sometimes clash. And when that happens, " +
                "theory loses. \n Every single time.\n\n \t\t\t\t\t\t\t\t\t\t\t " +
                "Linus Torvalds \n\n");

        </script>
</body>

</html>
